package quiz

import "github.com/google/uuid"

// Answer represents a question answer
type Answer struct {
	ID        string
	Solution  string
	IsCorrect bool
}

// Question represents a question
type Question struct {
	ID          string
	Description string
	Answers     []*Answer
}

var questions = []*Question{
	{ID: uuid.New().String(),
		Description: "We all know that Boromir dies saving two of our favorite hobbits. But which book does he die in?",
		Answers: []*Answer{
			{ID: uuid.New().String(),
				Solution:  "The Fellowship of the Ring",
				IsCorrect: true,
			},
			{ID: uuid.New().String(),
				Solution:  "The Two Towers",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "The Return of the King",
				IsCorrect: false,
			},
		},
	},
	{ID: uuid.New().String(),
		Description: "Which of these is another name for dwarves?",
		Answers: []*Answer{
			{ID: uuid.New().String(),
				Solution:  "Luthien’s Folk",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "The Old Ones",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "The Deep Ones",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Durin’s Folk",
				IsCorrect: true,
			},
		},
	},
	{ID: uuid.New().String(),
		Description: "Which character said “Nine companions. So be it. You shall be the fellowship of the ring.”",
		Answers: []*Answer{
			{ID: uuid.New().String(),
				Solution:  "Elrond",
				IsCorrect: true,
			},
			{ID: uuid.New().String(),
				Solution:  "Gandalf",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Arwen",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Saruman",
				IsCorrect: false,
			},
		},
	},
	{ID: uuid.New().String(),
		Description: "What is the name of Galadriel's husband?",
		Answers: []*Answer{
			{ID: uuid.New().String(),
				Solution:  "Celebrian",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Celebrimbor",
				IsCorrect: true,
			},
			{ID: uuid.New().String(),
				Solution:  "Celeborn",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Celebrant",
				IsCorrect: false,
			},
		},
	},
	{ID: uuid.New().String(),
		Description: "After Sauron, who held the One Ring?",
		Answers: []*Answer{
			{ID: uuid.New().String(),
				Solution:  "Elrond",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Isildur",
				IsCorrect: true,
			},
			{ID: uuid.New().String(),
				Solution:  "Gollum",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "It fell into a river and was lost",
				IsCorrect: false,
			},
		},
	},
	{ID: uuid.New().String(),
		Description: "Where is Legolas from?",
		Answers: []*Answer{
			{ID: uuid.New().String(),
				Solution:  "Fangorn Forest",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Rivendell",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Lothlorian",
				IsCorrect: true,
			},
			{ID: uuid.New().String(),
				Solution:  "Mirkwood",
				IsCorrect: false,
			},
		},
	},
	{ID: uuid.New().String(),
		Description: "In The Fellowship of the Ring, Frodo was stabbed on Weathertop. What type of blade was he stabbed with?",
		Answers: []*Answer{
			{ID: uuid.New().String(),
				Solution:  "Morgul",
				IsCorrect: true,
			},
			{ID: uuid.New().String(),
				Solution:  "Mithril",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Mithrandir",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Melkor",
				IsCorrect: false,
			},
		},
	},
	{ID: uuid.New().String(),
		Description: "What is the name of the Inn where Aragorn meets the Hobbits?",
		Answers: []*Answer{
			{ID: uuid.New().String(),
				Solution:  "The Prancing Pony",
				IsCorrect: true,
			},
			{ID: uuid.New().String(),
				Solution:  "The Green Dragon",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "The Ivy Bush",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "The Golden Perch",
				IsCorrect: false,
			},
		},
	},
	{ID: uuid.New().String(),
		Description: "What was Gollum's name before he was Gollum?",
		Answers: []*Answer{
			{ID: uuid.New().String(),
				Solution:  "Deagol",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Smeagol",
				IsCorrect: true,
			},
			{ID: uuid.New().String(),
				Solution:  "Falco",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "Marcho",
				IsCorrect: false,
			},
		},
	},
	{ID: uuid.New().String(),
		Description: "How many Rings of Power were there?",
		Answers: []*Answer{
			{ID: uuid.New().String(),
				Solution:  "5",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "9",
				IsCorrect: true,
			},
			{ID: uuid.New().String(),
				Solution:  "13",
				IsCorrect: false,
			},
			{ID: uuid.New().String(),
				Solution:  "20",
				IsCorrect: false,
			},
		},
	},
}
